using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Maser.Feanor.Client
{
    public enum ChamberStatus
    {
        Init,
        Running,
        Initializing,
        AbortRequested,
        Aborted,
        Idle,
        NoConn
    }

    public static class ChamberStatusExtensions
    {
        public static string ToText(this ChamberStatus status)
        {
            string result = status.ToString();
            switch (status)
            {
                case ChamberStatus.AbortRequested:
                    return "Abort requested";
                case ChamberStatus.NoConn:
                    return "No connection";
            }
            return result;
        }
    }
}
